Bug Hunting Session
Bug 114022 - Selection in Input Line, of cell containing also an email address as link, is not synchronized properly in the cell
Summary: Selection in Input Line, of cell containing also an email address as link, is...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks: Calc-Formula-Bar
  Show dependency treegraph
 
Reported: 2017-11-24 13:14 UTC by Cor Nouws
Modified: 2019-07-10 02:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test file with cells, that have as content also an email address as link. (27.11 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-11-24 13:17 UTC, Cor Nouws
Details
screen print showing bad synchonizing of selection (46.82 KB, image/png)
2017-11-24 13:18 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2017-11-24 13:14:08 UTC
I'll attach a test document

The content of cells A1 and A4 have includes an email address as hyperlink.
Give such a cell the focus.
Put cursor in Input Line (Ctrl+Shift+F2)
Select some text, possibly unselect, and change selection
 > The selection in the cell, is not the same as what is done in the Input Line.


Found in 5.2.7.2 and in a fresh nightly build: 6.0.0.0.alpha1+
Build ID: 921c8f50132de4042860956e102389c239da638a
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-11-21_23:54:47
Locale: nl-NL (nl_NL.UTF-8); Calc: group threaded
Comment 1 Cor Nouws 2017-11-24 13:17:41 UTC
Created attachment 137963 [details]
test file with cells, that have as content also an email address as link.

Note: when there is an email address as hyperlink in a cell, one puts the focus on that cell, hits Ctrl+M, so that the hyperlink is removed, it is still shown in the Input Line.
Comment 2 Cor Nouws 2017-11-24 13:18:13 UTC
Created attachment 137964 [details]
screen print showing bad synchonizing of selection
Comment 3 Buovjaga 2017-11-24 18:10:04 UTC
Problem is not yet in 3.6.

Arch Linux 64-bit
Version: 6.0.0.0.alpha1+
Build ID: 008673c23db0c812eb0b48a1c29ab88b48aaa867
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on November 23rd 2017

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 4 Buovjaga 2018-05-30 17:36:09 UTC
Problem is already in 4.3.0.0.beta1 (Win) and still with latest master on Linux.
Comment 5 Buovjaga 2018-07-09 19:39:05 UTC
My previous result claiming 3.6 was OK was apparently wrong.

Bibisected with Linux 43all to range https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=85c6244b85b29c1d2bb9d89b62e9512dd65378b5...558b5ea32a99654dcb63526f107726f7aec4747f

I bet it's this one: https://cgit.freedesktop.org/libreoffice/core/commit/?id=c2f62c8cb30975e3cd46c4800e738f3f010ecb3e
enable gsoc multi line inputbar feature
Comment 6 QA Administrators 2019-07-10 02:53:42 UTC
Dear Cor Nouws,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug